<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateRemoteIp extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('remote_ip')
			->addColumn('host', 'string', ['length' => 100, 'null' => false])
			->addColumn('ip', 'string', ['length' => 15, 'null' => false])
			->addColumn('updated', 'timestamp', ['default' => 'current_timestamp()', 'null' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
